# Uses of Interface
org.apache.sling.models.impl.model.InjectableElement

Packages that use InjectableElement
Package
Description
org.apache.sling.models.impl.model

## Uses of InjectableElement in org.apache.sling.models.impl.model

Classes in org.apache.sling.models.impl.model that implement InjectableElement
Modifier and Type
Class
Description
`class`
`ConstructorParameter`
Constructor parameters aren't normally accessible using the AnnotatedElement.
`class`
`InjectableField`
`class`
`InjectableMethod`
`class`
`OptionalTypedInjectableElement`
Constructors in org.apache.sling.models.impl.model with parameters of type InjectableElement
Modifier
Constructor
Description
``
`OptionalTypedInjectableElement(InjectableElement element, Type type)`